Index: trunk/source/processes/electromagnetic/standard/test/BremLPMTest.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/test/BremLPMTest.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/standard/test/BremLPMTest.cc	(revision 1315)
@@ -25,5 +25,5 @@
 //
 // $Id: BremLPMTest.cc,v 1.2 2008/08/22 08:16:17 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 // 
 // ------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/test/CrossSectionStd.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/test/CrossSectionStd.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/standard/test/CrossSectionStd.cc	(revision 1315)
@@ -26,5 +26,5 @@
 //
 // $Id: CrossSectionStd.cc,v 1.5 2006/06/29 19:54:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 // 
 // ------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/test/CrossSectionV52.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/test/CrossSectionV52.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/standard/test/CrossSectionV52.cc	(revision 1315)
@@ -26,5 +26,5 @@
 //
 // $Id: CrossSectionV52.cc,v 1.4 2006/06/29 19:54:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 // 
 // ------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/test/G4InitXscPAItest.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/test/G4InitXscPAItest.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/standard/test/G4InitXscPAItest.cc	(revision 1315)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InitXscPAItest.cc,v 1.6 2006/06/29 19:54:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 // 
Index: trunk/source/processes/electromagnetic/standard/test/G4PAIdNdxTest.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/test/G4PAIdNdxTest.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/standard/test/G4PAIdNdxTest.cc	(revision 1315)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PAIdNdxTest.cc,v 1.8 2008/04/14 14:53:39 grichine Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 // 
Index: trunk/source/processes/electromagnetic/standard/test/G4PAIxSectionTest.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/test/G4PAIxSectionTest.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/standard/test/G4PAIxSectionTest.cc	(revision 1315)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PAIxSectionTest.cc,v 1.15 2006/06/29 19:54:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4PAIxSectionTest.cc,v 1.16 2009/12/30 12:57:41 grichine Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 // 
@@ -432,5 +432,5 @@
  outFile <<k<<"\t"<< "  Material : " <<(*theMaterialTable)[k]->GetName() << G4endl ;
   }
-  G4String testName ;
+  G4String testName = "Argon" ;
   G4cout<<"Enter material name for test : "<<std::flush ;
   //  G4cin>>testName ;
@@ -448,7 +448,7 @@
 
 
-  for(k=0;k<numOfMaterials;k++)
+  for( k = 0; k < numOfMaterials; k++ )
   {
-    //    if((*theMaterialTable)[k]->GetName() != testName) continue ;
+    if((*theMaterialTable)[k]->GetName() != testName) continue ;
      outFile << "Material : " <<(*theMaterialTable)[k]->GetName() << G4endl ;
      G4cout << "Material : " <<(*theMaterialTable)[k]->GetName() << G4endl ;
@@ -543,5 +543,5 @@
      //   G4PAIxSection testPAIproton(k,maxEnergyTransfer) ;
 
-     kineticEnergy = 10.0*keV ;  // 110*MeV ;
+     kineticEnergy = 100.*MeV;  // 10.0*keV ;  // 110*MeV ;
 
      //     for(j=1;j<testPAIproton.GetNumberOfGammas();j++)
Index: trunk/source/processes/electromagnetic/standard/test/PAIenergyLossTest.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/test/PAIenergyLossTest.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/standard/test/PAIenergyLossTest.cc	(revision 1315)
@@ -26,5 +26,5 @@
 //
 // $Id: PAIenergyLossTest.cc,v 1.8 2006/06/29 19:54:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 // 
Index: trunk/source/processes/electromagnetic/standard/test/readBremLPM.py
===================================================================
--- trunk/source/processes/electromagnetic/standard/test/readBremLPM.py	(revision 1201)
+++ trunk/source/processes/electromagnetic/standard/test/readBremLPM.py	(revision 1315)
@@ -1,4 +1,4 @@
 # $Id: readBremLPM.py,v 1.2 2008/08/22 08:16:17 schaelic Exp $
-# GEANT4 tag $Name: geant4-09-03-cand-01 $
+# GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 #
 # works together with BremLPMTest.cc
Index: trunk/source/processes/electromagnetic/standard/test/test90Ne10CO2pai.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/test/test90Ne10CO2pai.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/standard/test/test90Ne10CO2pai.cc	(revision 1315)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: test90Ne10CO2pai.cc,v 1.6 2008/12/18 13:01:40 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: test90Ne10CO2pai.cc,v 1.8 2009/12/30 12:57:41 grichine Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 // 
@@ -38,4 +38,5 @@
 // 11.04.08, V. Grichine test of PAI predictions for 90% Ne + 10% CO2
 //                       ALICE TPC gas mixture 
+// 8.12.09   V. Grichine update for T2K gas mixture
 
 #include "G4ios.hh"
@@ -150,5 +151,6 @@
 int main()
 {
-   std::ofstream outFile("90Ne10CO2pai.dat", std::ios::out );
+  // std::ofstream outFile("90Ne10CO2pai.dat", std::ios::out );
+   std::ofstream outFile("e5GeVt2kPhilippe.dat", std::ios::out );
    outFile.setf( std::ios::scientific, std::ios::floatfield );
 
@@ -174,4 +176,14 @@
 
 
+  a = 1.01*g/mole;
+  G4Isotope* ih1 = new G4Isotope("Hydrogen",iz=1,n=1,a);
+
+  a = 2.01*g/mole;
+  G4Isotope* ih2 = new G4Isotope("Deuterium",iz=1,n=2,a);
+
+  G4Element* elH = new G4Element(name="Hydrogen",symbol="H",2);
+  elH->AddIsotope(ih1,.999);
+  elH->AddIsotope(ih2,.001);
+
   a = 12.01*g/mole;
   G4Element* elC = new G4Element(name="Carbon",symbol="C", ez=6., a);
@@ -183,5 +195,10 @@
   G4Element* elO = new G4Element(name="Oxygen",symbol="O", ez=8., a);
 
+  
+  a = 19.00*g/mole;
+  G4Element* elF  = new G4Element(name="Fluorine", symbol="F", z=9., a);
  
+  a = 39.948*g/mole;
+  G4Element* elAr = new G4Element(name="Argon", symbol="Ar", z=18., a);
 
   // Neon as detector gas, STP
@@ -232,5 +249,5 @@
   density *= 0.966/1.01325;
 
-  G4cout<<"density of Ne857CO295N2T292 = "<<density*cm3/mg<<"  mg/cm3"<<G4endl;
+  // G4cout<<"density of Ne857CO295N2T292 = "<<density*cm3/mg<<"  mg/cm3"<<G4endl;
 
   G4Material* Ne857CO295N2T292 = new G4Material(name="Ne857CO295N2T292"  , density, 
@@ -241,4 +258,57 @@
 
 
+  
+  // Ar as detector gas,STP
+
+  density = 1.7836*mg/cm3 ;       // STP
+  G4Material* Argon = new G4Material(name="Argon"  , density, ncomponents=1);
+  Argon->AddElement(elAr, 1);
+  /*
+  // iso-Butane (methylpropane), STP
+
+  density = 2.67*mg/cm3 ;
+  G4Material* isobutane = new G4Material(name="isoC4H10",density,nel=2) ;
+  isobutane->AddElement(elC,4) ;
+  isobutane->AddElement(elH,10) ;
+
+  // CF4 from ATLAS TRT estimation
+
+  G4double TRT_CF4_density = 3.9*mg/cm3;
+  G4Material* TRT_CF4 = new G4Material(name="TRT_CF4", TRT_CF4_density, nel=2,
+                                           kStateGas,293.15*kelvin,1.*atmosphere);
+  */
+
+  // Philippe Gros T2K mixture version
+  // Argon                                                                                                   
+  /*                                          
+  density     = 1.66*mg/cm3;
+  pressure    = 1*atmosphere;
+  temperature = 288.15*kelvin;
+  G4Material* Argon = new G4Material(name="Ar", // z=18., a=39.948*g/mole,
+				     density, ncomponents=1); // kStateGas,temperature,pressure);
+  Argon->AddElement(elAr, 1);
+  */
+   
+  // IsoButane    
+                                                                                                    
+  density     = 2.51*mg/cm3;
+  G4Material* Isobu = new G4Material(name="isoC4H10", z=34.,a=58.123*g/mole, 
+                                       density, kStateGas,temperature,pressure);
+
+  // Tetrafluoromethane   
+                                                                                            
+  density = 3.72*mg/cm3;
+  G4Material* FlMet = new
+  G4Material(name="CF4",z=42.,a=88.01*g/mole,density,kStateGas,temperature,pressure);
+
+  // Argon + 3% tetrafluoromethane  + 2% iso-butane     
+                                                            
+  density = 1.748*mg/cm3;
+  G4Material* t2kGasMixture = new G4Material(name="t2kGasMixture", density, ncomponents=3);
+  t2kGasMixture->AddMaterial(Argon, fractionmass = 90.9*perCent);
+  t2kGasMixture->AddMaterial(FlMet, fractionmass = 6.3*perCent);
+  t2kGasMixture->AddMaterial(Isobu, fractionmass = 2.8*perCent);
+
+
   G4int i, j, jMax, k, numOfMaterials, iSan, nbOfElements, sanIndex, row;
   G4double maxEnergyTransfer, kineticEnergy;
@@ -261,5 +331,8 @@
 
   // G4String testName = "N2";
-  G4String testName = "Ne10CO2";
+  // G4String testName = "Ne10CO2";
+  G4String testName = "t2kGasMixture";
+  // G4String testName = "Ar";
+  //  G4String testName = "Argon";
   // G4String testName = "Ne10CO2T293";
   // G4String testName = "Ne857CO295N2T292";
@@ -372,24 +445,32 @@
 
 
-     kineticEnergy = 10.0*keV; // 100.*GeV;    // 10.0*keV;  // 110*MeV; // for proton
+     // kineticEnergy = 10.0*keV; // 100.*GeV;    // 10.0*keV;  // 110*MeV; // for proton
+
+     // kineticEnergy = 5*GeV; // for electrons
+
+     kineticEnergy = 5*GeV*proton_mass_c2/electron_mass_c2;
+
+     // kineticEnergy = 5*GeV;
 
      //     for(j=1;j<testPAIproton.GetNumberOfGammas();j++)
 
-     jMax = 70; // 70;
-
-     outFile<<jMax<<G4endl;
+     // jMax = 70; // 70;
+     jMax = 1; // 70;
+
+     // outFile<<jMax<<G4endl;
 
      for( j = 0; j < jMax; j++ )
      {
        tau      = kineticEnergy/proton_mass_c2;
+       // tau      = kineticEnergy/electron_mass_c2;
        gamma    = tau +1.0;
        bg2      = tau*(tau + 2.0);
        bg = std::sqrt(bg2);
        beta2    = bg2/(gamma*gamma);
-       // G4cout<<"bg = "<<bg<<";  b2 = "<<beta2<<G4endl<<G4endl;
+       G4cout<<"bg = "<<bg<<";  b2 = "<<beta2<<G4endl<<G4endl;
        rateMass = electron_mass_c2/proton_mass_c2;
-
-       Tmax     = 2.0*electron_mass_c2*bg2
-                   /(1.0+2.0*gamma*rateMass+rateMass*rateMass);
+       
+       Tmax = 2.0*electron_mass_c2*bg2/(1.0+2.0*gamma*rateMass+rateMass*rateMass);
+       // Tmax = 0.5*kineticEnergy;
 
        Tkin = maxEnergyTransfer;
@@ -404,5 +485,5 @@
        }
        G4PAIxSection testPAIproton(k,Tkin,bg2);
-       
+       /*       
        G4cout  
          //      << kineticEnergy/keV<<"\t\t"
@@ -444,6 +525,6 @@
        //  	      <<testPAIproton.GetPAItable(1,j)*cm<<"\t\t"<<G4endl;
 
-             
-       /*
+       */            
+       
        outFile<<testPAIproton.GetSplineSize()-1<<G4endl;
 
@@ -451,4 +532,13 @@
        {
        outFile 
+               << testPAIproton.GetSplineEnergy(i)/keV       << "\t"
+	 //  << testPAIproton.GetIntegralCerenkov(i)*cm    << "\t"
+	 //     << testPAIproton.GetIntegralMM(i)*cm    << "\t"
+	 //     << testPAIproton.GetIntegralPlasmon(i)*cm     << "\t"
+         //      << testPAIproton.GetIntegralResonance(i)*cm   << "\t"
+               << testPAIproton.GetIntegralPAIxSection(i)*cm << "\t" 
+               << G4endl;
+
+       G4cout 
                << testPAIproton.GetSplineEnergy(i)/keV       << "\t"
                << testPAIproton.GetIntegralCerenkov(i)*cm    << "\t"
@@ -458,7 +548,8 @@
                << testPAIproton.GetIntegralPAIxSection(i)*cm << "\t" 
                << G4endl;
+
        }
        
-       */
+      
 
        
